summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2017-02-15 10:12:12 -0500
committerAnthony G. Basile <blueness@gentoo.org>2017-02-15 10:12:29 -0500
commit9293d03773e521e72c2576718b0daec45db03a28 (patch)
treea9870898b49f8d80db77114984ea8f5d70b6c86e /www-servers/varnish
parentmedia-video/nvidia_video_sdk: amd64 stable wrt bug #608868 (diff)
downloadgentoo-9293d03773e521e72c2576718b0daec45db03a28.tar.gz
gentoo-9293d03773e521e72c2576718b0daec45db03a28.tar.bz2
gentoo-9293d03773e521e72c2576718b0daec45db03a28.zip
www-servers/varnish: version bump to 4.1.5
Package-Manager: portage-2.3.3
Diffstat (limited to 'www-servers/varnish')
-rw-r--r--www-servers/varnish/Manifest1
-rw-r--r--www-servers/varnish/varnish-4.1.5.ebuild102
2 files changed, 103 insertions, 0 deletions
diff --git a/www-servers/varnish/Manifest b/www-servers/varnish/Manifest
index 5ecf2500952..70f2c47a712 100644
--- a/www-servers/varnish/Manifest
+++ b/www-servers/varnish/Manifest
@@ -1,3 +1,4 @@
DIST varnish-4.0.3.tar.gz 1866760 SHA256 94b9a174097f47db2286acd2c35f235e49a2b7a9ddfdbd6eb7aa4da9ae8f8206 SHA512 db7bb141afd4617ac95573983dc30591b0eb9bc1af06df1094f2c1eeac539da936afb4a239d2f446d3c3a51b88a781b7f9f6d9a0b2028eaf0e7049ea2159d883 WHIRLPOOL 942456e19be427859283959dabe5522667519d36decbc598c8ee1e949767ea7435469393289d4373db6abac5275e50a95fc3799a837dc17740a490b4912bfe6f
DIST varnish-4.1.3.tar.gz 2134205 SHA256 9f9469b9fda2a578da2a9d282c71c34eeb5c42eda7f8d8728284d92282108429 SHA512 9ba0b2490bfa6f068d6777b4e8f1afcd823a3d6bf8e18ad0274cc9aff7733cd65df0e2ed9f2c6a3d3261d19438cc3254c89b0e41508d2cac2f17bdfd8119e4f1 WHIRLPOOL 6440932735c66fc8e7c8bf0ca577f84d93ed45a5e3cc09074c8471cdb6937f731219dfdf2eaaa43b32aefda8511aec10289c8f6f0596c4ce0f88829b3240a299
DIST varnish-4.1.4.tar.gz 2196408 SHA256 44fdeb66fb27af9c18fde6123ef7b0038d6d263c7999a02a780ce4ea1a3965fc SHA512 448f417029486ce7f860a82bdfb45dc87e864c78c2389ee7a1f420fd5307aaa8464169125044f6efd1e6ebeea447ef97ddf724b674a0ee8c2e04d1c098926f2b WHIRLPOOL 386325467f842d62c0f2a8dfb95d082fddc5c4607c4da0fe0343105cf2b437c9d1ee4272e76e20f376e7caba132923f039767098219e344eaf586ef9b9acd5e2
+DIST varnish-4.1.5.tar.gz 2199183 SHA256 b52d4d05dd3c571c5538f2d821b237ec029691aebbc35918311ede256404feb3 SHA512 8d54a59afbc9f485b313d2e036dcc8d874ec279e1dd2aab9daf2a169e169d15c98ff71307d44c6beb43968dcd7d69b9501486ea3b138c27d084bc4b16ed10d24 WHIRLPOOL bc2e5f2d7fab56db2a7cda961be557bf0487bc5ec28f5f5274edbf49eaf615234f35d8ee7a83251f1c49b8dd4241758b0ae24e13c7fb28c4c7a11c01553c67ae
diff --git a/www-servers/varnish/varnish-4.1.5.ebuild b/www-servers/varnish/varnish-4.1.5.ebuild
new file mode 100644
index 00000000000..f96826ec687
--- /dev/null
+++ b/www-servers/varnish/varnish-4.1.5.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python{2_7,3_4} pypy )
+
+inherit user autotools-utils eutils systemd python-r1
+
+DESCRIPTION="Varnish is a state-of-the-art, high-performance HTTP accelerator"
+HOMEPAGE="http://www.varnish-cache.org/"
+SRC_URI="http://repo.varnish-cache.org/source/${P}.tar.gz"
+
+LICENSE="BSD-2 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~ppc64 ~x86"
+IUSE="jemalloc jit static-libs"
+
+CDEPEND="
+ sys-libs/readline:0=
+ dev-libs/libpcre[jit?]
+ jemalloc? ( dev-libs/jemalloc )
+ sys-libs/ncurses:0="
+
+#varnish compiles stuff at run time
+RDEPEND="
+ ${PYTHON_DEPS}
+ ${CDEPEND}
+ sys-devel/gcc"
+
+DEPEND="
+ ${CDEPEND}
+ dev-python/docutils
+ virtual/pkgconfig"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="test" #315725
+
+DOCS=( README.rst doc/changes.rst )
+
+AUTOTOOLS_AUTORECONF="yes"
+
+pkg_setup() {
+ ebegin "Creating varnish user and group"
+ enewgroup varnish
+ enewuser varnish -1 -1 /var/lib/varnish varnish
+ eend $?
+}
+
+src_prepare() {
+ # Remove bundled libjemalloc. We also fix
+ # automagic dep in our patches, bug #461638
+ rm -rf lib/libjemalloc
+
+ # Remove -Werror bug #528354
+ sed -i -e 's/-Werror\([^=]\)/\1/g' configure.ac
+
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ $(use_enable jit pcre-jit )
+ $(use_with jemalloc)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ python_replicate_script "${D}/usr/share/varnish/vmodtool.py"
+
+ newinitd "${FILESDIR}"/varnishlog.initd varnishlog
+ newconfd "${FILESDIR}"/varnishlog.confd varnishlog
+
+ newinitd "${FILESDIR}"/varnishncsa.initd varnishncsa
+ newconfd "${FILESDIR}"/varnishncsa.confd varnishncsa
+
+ newinitd "${FILESDIR}"/varnishd.initd-r4 varnishd
+ newconfd "${FILESDIR}"/varnishd.confd-r4 varnishd
+
+ insinto /etc/logrotate.d/
+ newins "${FILESDIR}/varnishd.logrotate-r2" varnishd
+
+ diropts -m750
+
+ dodir /var/log/varnish/
+
+ systemd_dounit "${FILESDIR}/${PN}d.service"
+
+ insinto /etc/varnish/
+ doins lib/libvmod_std/vmod.vcc
+ doins etc/example.vcl
+
+ fowners root:varnish /etc/varnish/
+ fowners varnish:varnish /var/lib/varnish/
+ fperms 0750 /var/lib/varnish/ /etc/varnish/
+}